<style>
.sectiontable{
  width: 80%;
  margin:auto;
}
.table-cell-center{
  text-align: center;
  vertical-align: middle !important;
}
.custom-checkbox{
  position: relative;
  top:-6px;
  left:10px;
}
.list-checkbox{
  text-align: center;
  cursor: pointer;
}
.checked,
.list-checkbox:hover{
  background-color: #ecf0f1;
}
</style>
<h2>配置公設開放時段</h2>
<p><?=$notice;?></p>

<form method="POST" class="layout">
<!-- 取得公設編號 -->
<input type="hidden" name="recordId" value="<?=$recordId;?>" />

<div class="form-buttons">
  <div class="loading-indicator-container">
    <button
      type="submit"
      data-request="onSave"
      data-request-data="redirect:0"
      data-hotkey="ctrl+s, cmd+s"
      data-load-indicator="<?= e(trans('backend::lang.form.saving')) ?>"
      class="btn btn-primary"
    >
      儲存
    </button>
    <button
      type="button"
      data-request="onSave"
      data-request-data="close:1"
      data-hotkey="ctrl+enter, cmd+enter"
      data-load-indicator="<?= e(trans('backend::lang.form.saving')) ?>"
      class="btn btn-default"
    >
      儲存後離開
    </button>
    <span class="btn-text">
      <?= e(trans('backend::lang.form.or')) ?> <a
        href="<?= Backend::url('branden/ifull/utilitiesactive') ?>"><?= e(trans('backend::lang.form.cancel')) ?></a>
    </span>
  </div>
</div>

  <div class="control-list sectiontable">
  <table class="table" width="80%">
    <thead>
      <tr>
        <th class="list-checkbox table-cell-center">&nbsp;</th>
        <?php foreach ($cols as $week_col => $Label) : ?>
        <th class="list-cell-type-text table-cell-center"><?=$Label;?></th>
        <?php endforeach; ?>
      </tr>
    </thead>
    <tbody>
      <?php foreach ($rows as $section_row => $section_label) : ?>
      <tr>
        <th class="list-cell-type-text table-cell-center">
          <?=$section_label;?>
        </th>
        <?php foreach ($cols as $week_col => $Label) : ?>
        <td class="list-checkbox nolink
        <?php if (array_key_exists($section_row, $actives) && in_array($week_col, $actives[$section_row]) ) : ?>
        checked
        <?php endif; ?>
        ">
          <div class="checkbox custom-checkbox nolabel">
            <input type="checkbox" name="checked[<?=$section_row;?>][<?=$week_col;?>]"
              id="Section-<?=$section_row;?>-<?=$week_col;?>" value="1"
              <?php if (array_key_exists($section_row, $actives) && in_array($week_col, $actives[$section_row]) ) : ?>
              checked="checked"
              <?php endif; ?>
            />
            <label for="Section-<?=$section_row;?>-<?=$week_col;?>">Check</label>
          </div>
          </td>
          <?php endforeach; ?>
      </tr>
      <?php endforeach; ?>
    </tbody>
  </table>
  </div>

</form>

<script>
$(function(){
  $(".list-checkbox").click(function(e){
    var checkBoxes = $(this).find("input");
    checkBoxes.prop("checked", !checkBoxes.prop("checked"));
    if( checkBoxes.prop("checked") ){
      checkBoxes.parents('td').addClass('checked');
    }else{
      checkBoxes.parents('td').removeClass('checked');
    }
  });
});
</script>